<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h1> 
			HTML Tables and Forms
		</h1>
	</header>
<!-- used to contain main contents of a web document -->
	<main>
		<section>
				<h2> HTML Entities</h2>
				<p>
					<em>Reserved characters in html (e.g &lt; or &gt;) characters that can mix up with HTML code).</em>
				</p>

				<! define a HTML -->
					<table border ="1">
						<thead>
						<tr>
							<th colspan="2">entity</th>
							<th>Description</th>
						</tr>

						</thead>
						<tbody>
							<tr>
								<td>&lt;</td>
								<td>lt</td>
								<td>less than</td>

							</tr>

								<tr>
									<td>&#8369;</td>
									<td>#8369</td>
									<td>peso sign</td>



								</tr>
								<tr>
									<td>&amp;</td>
									<td>amp</td>
									<td>ampersand</td>



								</tr>

								<tr>
									<td>&quot;</td>
									<td>qout</td>
									<td>double qoutation mark</td>

								</tr>

								 <tr>
									<td>&apos;</td>
									<td>apos</td>
									<td>single qoutatuion apostrophe</td>
								</tr>

								<tr>
									<td>&ntilde</td>
									<td>ntilde</td>
									<td>lowertilde</td>

								</tr>
								<tr>
									<td>&Ntilde</td>
									<td>ntilde</td>
									<td>upper tilde</td>

								</tr>





						</tbody>
					<tfooter>

					<th colspan="3">list of HTML </th>
					
</tfooter>
					</table>	

		</section>
				<section>
			
					<p>
						<em>HTML Forms</em>
					</p>

				<form action="https://google.com">
					<label for="full_name">Full Name:</label><br>
					<input type="text" name ="full_name" id="full_name" required>
					
					<label for="birth_date">Birth Date:</label><br>
					<input type="date" name="birth-date" id ="birth-date" required> <br>


					<label for="age">Age:</label>
					<input type="number" name="age" id ="age" required> <br>

					<label for="gender">Gender:</label>
					<select name="gender" id="gender">
						<option value="male">male</option>
						<option value="female">male</option>

					</select><br>
					<label for="notes">Notes:</label><br>
					<textarea name="notes" rows="5" id="notes"> </textarea><br>

					

					<label>New user</label>
					  <input type="radio" name="new_user" id="user-type1" value="yes">
					  <label for="user-type1">yes</label>

					  <label>New user</label>
					  <input type="radio" name="new_user" id="user-type2" value="No">
					  <label for="user-type2">No</label> <br>








					  <input type="checkbox" name="role" id="role1" value="developer">
					  <label for ="role1">Developer</label><br>

					  <input type="checkbox" name="role" id="role2" value="developer">
					  <label for ="role2">Student</label><br>

					  <input type="checkbox" name="role" id="role3" value="developer">
					  <label for ="role3">Manager</label><br>


					  <button type ="submit">Submit</button>
					  <button type ="reset">Reset</button>
					  <input type="button"
					 
				
				

				</form>

		</section>

	</main>

</body>
</html>